Subject: Re: [Zope] [ANN] ZShell 0.1
From: Jerome Alet <jerome>
To: Simon Michael <[email-masked]>
Date: Fri, 4 May 2001 21:25:35 +0200

On Fri, May 04, 2001 at 11:46:21AM -0700, Simon Michael wrote:
> 
> woa! The new features sound cool.  Why did you switch to an external
> method, as a matter of interest ?

to be able to access all the needed standard modules, especially re,
even if it's not used yet, as well as having a full access to Python
power.

> I think simpler is better for now. But, now that you mention it, how
> about 
> 
> - "name=value" sets attribute "name" of the current folder
> - "$name" returns the value of attribute name
> - also "some/path/name = value", "$(some/path/name)"

What a nice idea !
 
> and then perhaps
> 
> - treat objects as folders, whose contents are their attributes. If an
> object or folder is used as a scalar as above, get or set it's
> "primary value"

I don't think I'll do that because it's confusing what the behaviour
of some methods would be then.
 
bye,

Jerome Alet